Bug 404722 - Misaligned search field
Summary: Misaligned search field
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Application Menu (Kicker) (show other bugs)
Version: master
Platform: Neon Packages Linux
: NOR minor
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-23 03:50 UTC by Thiago Sueto
Modified: 2022-06-25 19:26 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments
Search field margin misalignment highlighted with lines and selection boxes on Krita. (156.85 KB, image/png)
2019-02-23 03:50 UTC, Thiago Sueto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thiago Sueto 2019-02-23 03:50:49 UTC
Created attachment 118307 [details]
Search field margin misalignment highlighted with lines and selection boxes on Krita.

Search field margins are very slightly misaligned.

It should be a little extended to the left, following the rest of the categories, and

the right side is short by 1 pixel (though this might be because the search field isn't selected and it's not possible to have both search field and category selected for comparison).

Consequently, its right and left borders do not have the same size (green copy/pasted selections).

See attachment; it's a bit pixelated because it is an edit from a fullscreen screenshot.

Theme is standard Breeze.

SOFTWARE/OS VERSIONS
Operating System: KDE neon Developer Edition (Git Unstable)
KDE Plasma Version: 5.15.80
KDE Frameworks Version: 5.56.0
Qt Version: 5.12.0
Kernel Version: 4.15.0-45-generic
OS Type: 64-bit
Processors: 4 × Intel® Core™ i5-7200U CPU @ 2.50GHz
Memory: 7,7 GiB of RAM
Comment 1 Nate Graham 2022-06-25 19:26:09 UTC
Git commit 42f11d1301d03a109097358a479a4db813f3a8ca by Nate Graham.
Committed on 25/06/2022 at 19:25.
Pushed by ngraham into branch 'master'.

applets/kicker: fix search field misalignment

We were inappropriately always adding extra spacing.
FIXED-IN: 5.26

M  +1    -2    applets/kicker/package/contents/ui/MenuRepresentation.qml

https://invent.kde.org/plasma/plasma-desktop/commit/42f11d1301d03a109097358a479a4db813f3a8ca